## dods.dap.parser
Class DASParser

    java.lang.Object
      dods.dap.parser.DASParser

All Implemented Interfaces:
  DASParserConstants

public class DASParser
extends Object
implements DASParserConstants

Nested Class Summary
`(package private) static class` `DASParser.JJCalls`

Field Summary
`(package private) SimpleCharStream` `jj_input_stream`
`Token` `jj_nt`
`boolean` `lookingAhead`
`Token` `token`
`DASParserTokenManager` `token_source`

Fields inherited from interface dods.dap.parser.DASParserConstants
`ALIAS, ATTR, BYTE, DEFAULT, EOF, FLOAT32, FLOAT64, INT16, INT32, STR, STRING, tokenImage, UINT16, UINT32, URL, WORD`

Constructor Summary
`DASParser(DASParserTokenManager tm)`
`DASParser(InputStream stream)`
`DASParser(Reader stream)`

Method Summary
`(package private) void` `addAttribute(int type, String name, String value)`
`(package private) void` `addBadAttribute(String container_name, int type, String name, String value, String msg)`
`void` `Alias()`
`(package private) String` `aOrAn(String subject)`
`void` `Attribute()`
`void` `Attributes(DAS das)`
`void` `AttrList()`
`void` `AttrTuple()`
`void` `Bytes()`
`void` `disable_tracing()`
`void` `enable_tracing()`
`(package private) void` `error(String msg)`
`void` `Floats()`
`ParseException` `generateParseException()`
`Token` `getNextToken()`
`Token` `getToken(int index)`
`(package private) String` `getTypeName(int type)`
`void` `Ints()`
`Token` `Name()`
`void` `ReInit(DASParserTokenManager tm)`
`void` `ReInit(InputStream stream)`
`void` `ReInit(Reader stream)`
`void` `Strs()`
`void` `Urls()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public DASParserTokenManager token_source

### jj_input_stream

    SimpleCharStream jj_input_stream

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### DASParser

    public DASParser(InputStream stream)

### DASParser

    public DASParser(Reader stream)

### DASParser

    public DASParser(DASParserTokenManager tm)

Method Detail

### Attributes

    public final void Attributes(DAS das)
                          throws ParseException,
                                 DASException

  Throws:
    `ParseException`
    `DASException`

### Attribute

    public final void Attribute()
                         throws ParseException,
                                DASException

  Throws:
    `ParseException`
    `DASException`

### AttrList

    public final void AttrList()
                        throws ParseException,
                               DASException

  Throws:
    `ParseException`
    `DASException`

### AttrTuple

    public final void AttrTuple()
                         throws ParseException,
                                DASException

  Throws:
    `ParseException`
    `DASException`

### Bytes

    public final void Bytes()
                     throws ParseException,
                            DASException

  Throws:
    `ParseException`
    `DASException`

### Ints

    public final void Ints()
                    throws ParseException,
                           DASException

  Throws:
    `ParseException`
    `DASException`

### Floats

    public final void Floats()
                      throws ParseException,
                             DASException

  Throws:
    `ParseException`
    `DASException`

### Strs

    public final void Strs()
                    throws ParseException,
                           DASException

  Throws:
    `ParseException`
    `DASException`

### Urls

    public final void Urls()
                    throws ParseException,
                           DASException

  Throws:
    `ParseException`
    `DASException`

### Alias

    public final void Alias()
                     throws ParseException,
                            DASException

  Throws:
    `ParseException`
    `DASException`

### Name

    public final Token Name()
                     throws ParseException,
                            DASException

  Throws:
    `ParseException`
    `DASException`

### error

    void error(String msg)
         throws ParseException,
                DASException

  Throws:
    `ParseException`
    `DASException`

### addAttribute

    void addAttribute(int type,
                      String name,
                      String value)
                throws ParseException,
                       DASException

  Throws:
    `ParseException`
    `DASException`

### addBadAttribute

    void addBadAttribute(String container_name,
                         int type,
                         String name,
                         String value,
                         String msg)
                   throws ParseException,
                          DASException

  Throws:
    `ParseException`
    `DASException`

### aOrAn

    String aOrAn(String subject)
           throws ParseException

  Throws:
    `ParseException`

### getTypeName

    String getTypeName(int type)
                 throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(DASParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()